Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/ChartController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/ChartController.cs	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/ChartController.cs	(revision 6318)
@@ -37,10 +37,14 @@
       //  runIds[i] = i;
       //}
-      long[] runIds = client.GetRunIds((CombinedFilter)Session["Content"]);
-        Run[] runs = client.GetRuns(runIds,false);
-      //  Run[] runs = Session[""];
-      cm.Runs = runs;
-      cm.UpdateRunCollection(runs);
-      cm.UpdateBubbleChart(selectedAxisY, selectedAxisX, selectedBubbleSize);
+        long[] runIds = new long[0];
+      CombinedFilter cf = (CombinedFilter)Session["Content"];
+      if (cf != null)
+          runIds = client.GetRunIds(cf);
+
+    Run[] runs = client.GetRuns(runIds, false);
+    //  Run[] runs = Session[""];
+    cm.Runs = runs;
+    cm.UpdateRunCollection(runs);
+    cm.UpdateBubbleChart(selectedAxisY, selectedAxisX, selectedBubbleSize);
 
       return View("Index",cm);
@@ -213,13 +217,13 @@
 
       // Later, we will get the runs from the session ...
-      QueryServiceClient client = Query.GetClientFactory("okbtester", "okbtester");
-
-      long[] runIds = new long[5];
-      for (int i = 0; i < 5; i++) {
-        runIds[i] = i;
-      }
+      QueryServiceClient client = Query.GetClientFactory();
+
+      long[] runIds = new long[0];
+      CombinedFilter cf = (CombinedFilter)Session["Content"];
+      if (cf != null)
+          runIds = client.GetRunIds(cf);
+
       Run[] runs = client.GetRuns(runIds, false);
-
-      cm.UpdateRunCollection(runs);
+      cm.Runs = runs;
 
 
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/FilterController.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/FilterController.cs	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Controllers/FilterController.cs	(revision 6318)
@@ -33,4 +33,5 @@
             {
                 ids = client.GetRunIds(fm.Content);
+
             }
             catch (Exception e)
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/ChartModel.cs
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/ChartModel.cs	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Models/ChartModel.cs	(revision 6318)
@@ -9,265 +9,275 @@
 
 namespace HLWebOKBQueryPlugin.Models {
-  public class ChartModel {
-
-
-
-    private Color DataPointColor = System.Drawing.Color.Black;
-    //private String xAxisValue;
-    //private String yAxisValue;
-    //private String sizeAxisValue;
-
-    public String xAxisValue {
-        get { return (HttpContext.Current.Session["xAxisValue"] == null) ? null : (String)HttpContext.Current.Session["xAxisValue"]; }
-        set { HttpContext.Current.Session["xAxisValue"] = value; }
+    public class ChartModel {
+
+
+
+        private Color DataPointColor = System.Drawing.Color.Black;
+        //private String xAxisValue;
+        //private String yAxisValue;
+        //private String sizeAxisValue;
+
+        public String xAxisValue {
+            get { return (HttpContext.Current.Session["xAxisValue"] == null) ? null : (String)HttpContext.Current.Session["xAxisValue"]; }
+            set { HttpContext.Current.Session["xAxisValue"] = value; }
+        }
+        public String yAxisValue {
+            get { return (HttpContext.Current.Session["yAxisValue"] == null) ? null : (String)HttpContext.Current.Session["yAxisValue"]; }
+            set { HttpContext.Current.Session["yAxisValue"] = value; }
+        }
+        public String sizeAxisValue {
+            get { return (HttpContext.Current.Session["sizeAxisValue"] == null) ? null : (String)HttpContext.Current.Session["sizeAxisValue"]; }
+            set { HttpContext.Current.Session["sizeAxisValue"] = value; }
+        }
+
+
+        private Dictionary<string, Dictionary<object, double>> CategoricalMap {
+            get;
+            set;
+        }
+
+        //public Run[] Runs {
+        //  set;
+        //  get;
+        //  // {
+        //  //UpdateComboBoxValues(value);
+
+        //  //}
+        //}
+
+        public Run[] Runs {
+            get { return (HttpContext.Current.Session["runs"] == null) ? null : (Run[])HttpContext.Current.Session["runs"]; }
+            set { HttpContext.Current.Session["runs"] = value; }
+        }
+
+        public Series Series { set; get; }
+
+        public void UpdateRunCollection(Run[] runs) {
+            this.Runs = runs;
+            UpdateComboBoxValues();
+            // 
+        }
+
+        public List<string> valuesAxisY { get; set; }
+        public List<string> valuesAxisX { get; set; }
+        public List<string> bubbleSize { get; set; }
+
+
+
+        // COnstrucotr
+        public ChartModel() {
+
+            CategoricalMap = new Dictionary<string, Dictionary<object, double>>();
+
+            valuesAxisY = new List<string>();
+            valuesAxisX = new List<string>();
+            bubbleSize = new List<string>();
+            Series = new Series();
+            this.Series.ChartType = SeriesChartType.Bubble;
+        }
+
+
+
+        private double GetCategoricalValue(string columnName, string value) {
+            if (!this.CategoricalMap.ContainsKey(columnName)) {
+                this.CategoricalMap[columnName] = new Dictionary<object, double>();
+            }
+            if (!this.CategoricalMap[columnName].ContainsKey(value)) {
+                if (this.CategoricalMap[columnName].Values.Count == 0) {
+                    this.CategoricalMap[columnName][value] = 1.0;
+                }
+                else {
+                    this.CategoricalMap[columnName][value] = this.CategoricalMap[columnName].Values.Max() + 1.0;
+                }
+            }
+            return this.CategoricalMap[columnName][value];
+        }
+
+        private double? GetValue(Run run, String columnName) {
+            if ((run == null) || string.IsNullOrEmpty(columnName)) {
+                return null;
+            }
+            Value value = run.ResultValues.FirstOrDefault(x => x.Name == columnName);
+
+            if (value == null) {
+                return null;
+            }
+
+            DoubleValue doubleValue = value as DoubleValue;
+            IntValue intValue = value as IntValue;
+            BoolValue boolValue = value as BoolValue;
+            FloatValue floatValue = value as FloatValue;
+            BinaryValue binaryValue = value as BinaryValue;
+            LongValue longValue = value as LongValue;
+            StringValue stringValue = value as StringValue;
+
+            double? ret = null;
+            if (doubleValue != null) {
+                if (!double.IsNaN(doubleValue.Value) && !double.IsInfinity(doubleValue.Value)) {
+                    ret = doubleValue.Value;
+                }
+            }
+            else if (intValue != null) {
+                ret = intValue.Value;
+            }
+            else if (floatValue != null) {
+                ret = floatValue.Value;
+            }
+            else if (longValue != null) {
+                ret = longValue.Value;
+            }
+            else {
+                ret = GetCategoricalValue(columnName, value.ToString());
+            }
+            return ret;
+        }
+
+        private void AddDataPoint(Run run) {//, int pos) {
+            double? xValue;
+            double? yValue;
+            double? sValue;
+            // Series series = this.BubbleChart.Series[0];
+            // Series series = new Series();
+            xValue = GetValue(run, this.xAxisValue);
+            yValue = GetValue(run, this.yAxisValue);
+            sValue = GetValue(run, this.sizeAxisValue);
+
+            if (xValue.HasValue && yValue.HasValue && sValue.HasValue) {
+                xValue = xValue.Value;
+                yValue = yValue.Value;
+                sValue = sValue.Value;
+                double[] yValues = { (double)yValue, (double)sValue };
+                DataPoint point = new DataPoint(xValue.Value, yValues);
+                point.Tag = run;
+                point.Color = DataPointColor;
+                this.Series.Points.Add(point);
+            }
+        }
+
+        private void UpdateComboBoxValues() {
+            if (Runs == null) {
+                return;
+            }
+            ArrayList comboBoxValues = new ArrayList();
+            Value[] resultValues = null;
+            foreach (Run run in Runs) {
+                resultValues = run.ResultValues;
+                //comboBoxValues.Add(selectString);
+                foreach (Value v in resultValues) {
+                    String resultValueName = v.Name.ToString();
+                    if (!comboBoxValues.Contains(resultValueName)) {
+                        comboBoxValues.Add(resultValueName);
+                    }
+                }
+            }
+
+
+            this.valuesAxisY.Clear();
+            this.valuesAxisX.Clear();
+            this.bubbleSize.Clear();
+
+            foreach (String s in comboBoxValues) {
+                if (!valuesAxisY.Contains(s)) {
+                    this.valuesAxisY.Add(s);
+                    this.valuesAxisX.Add(s);
+                    this.bubbleSize.Add(s);
+                }
+            }
+        }
+
+        private void UpdateDataPoints() {
+            Run[] runs = this.Runs;
+            Series series = this.Series;
+            series.Points.Clear();
+            if (runs != null) {
+                foreach (Run run in runs) {
+                    this.AddDataPoint(run);
+                }
+                UpdateMarkerSize();
+            }
+        }
+
+        private void UpdateMarkerSize() {
+            double[] sizeValues = Series.Points.Select(p => p.YValues[1]).ToArray();
+            double minSizeValue = 0;
+            double maxSizeValue = 0;
+            if (sizeValues.Length > 0) {
+                minSizeValue = sizeValues.Min();
+                maxSizeValue = sizeValues.Max();
+            }
+            //int sizeFaktor = int.Parse(bubbleSizeFactor.SelectedItem.Value);
+
+            for (int i = 0; i < sizeValues.Length; i++) {
+                DataPoint dataPoint = this.Series.Points[i];
+
+                double sizeRange = maxSizeValue - minSizeValue;
+                double relativeSize = dataPoint.YValues[1] - minSizeValue;
+
+                if (sizeRange > double.Epsilon) {
+                    relativeSize /= sizeRange;
+                }
+                else {
+                    relativeSize = 1;
+                }
+                //int markerSize = (int)Math.Round(bubbleSizeFaktor * relativeSize);
+                //if (markerSize < 1) {
+                //  markerSize = 1;
+                //}
+                double[] yValues = dataPoint.YValues;
+                // double minBubbleSizeFactor = double.Parse(bubbleSizeFactor.Items[0].Value);
+                //int markerSize = (int)Math.Round(
+                //  (sizeFaktor - minBubbleSizeFactor) * relativeSize + minBubbleSizeFactor);
+                //yValues[1] = markerSize;
+                //dataPoint.MarkerSize = markerSize;
+                dataPoint.YValues = yValues;
+            }
+        }
+
+        public void UpdateBubbleChart(string yAxisValue, string xAxisValue, string sizeAxisValue) {
+            this.yAxisValue = yAxisValue;
+            this.xAxisValue = xAxisValue;
+            this.sizeAxisValue = sizeAxisValue;
+
+            UpdateDataPoints();
+        }
+
+        //protected void valuesAxisY_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    if (AllAxisSelected())
+        //    {
+        //        UpdateBubbleChart();
+        //    }
+        //}
+
+        //protected void valuesAxisX_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    if (AllAxisSelected())
+        //    {
+        //        UpdateBubbleChart();
+        //    }
+        //}
+
+        //protected void bubbleSize_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    if (AllAxisSelected())
+        //    {
+        //        UpdateBubbleChart();
+        //    }
+        //}
+
+        //protected void bubbleSizeFactor_SelectedIndexChanged(object sender, EventArgs e)
+        //{
+        //    if (AllAxisSelected())
+        //    {
+        //        UpdateBubbleChart();
+        //    }
+        //}
+
+        //private bool AllAxisSelected()
+        //{
+        //    return (((valuesAxisY.SelectedValue).CompareTo(selectString) != 0) &&
+        //        ((valuesAxisX.SelectedValue).CompareTo(selectString) != 0) &&
+        //        ((bubbleSize.SelectedValue).CompareTo(selectString) != 0));
+        //}
     }
-    public String yAxisValue {
-        get { return (HttpContext.Current.Session["yAxisValue"] == null) ? null : (String)HttpContext.Current.Session["yAxisValue"]; }
-        set { HttpContext.Current.Session["yAxisValue"] = value; }
-    }
-    public String sizeAxisValue {
-        get { return (HttpContext.Current.Session["sizeAxisValue"] == null) ? null : (String)HttpContext.Current.Session["sizeAxisValue"]; }
-        set { HttpContext.Current.Session["sizeAxisValue"] = value; }
-    }
-
-
-    private Dictionary<string, Dictionary<object, double>> CategoricalMap {
-      get;
-      set;
-    }
-
-    //public Run[] Runs {
-    //  set;
-    //  get;
-    //  // {
-    //  //UpdateComboBoxValues(value);
-
-    //  //}
-    //}
-
-    public Run[] Runs {
-        get { return (HttpContext.Current.Session["runs"] == null) ? null : (Run[])HttpContext.Current.Session["runs"]; }
-        set { HttpContext.Current.Session["runs"] = value; }
-    }
-
-    public Series Series { set; get; }
-
-    public void UpdateRunCollection(Run[] runs) {
-      this.Runs = runs;
-      UpdateComboBoxValues();
-      // 
-    }
-
-    public List<string> valuesAxisY { get; set; }
-    public List<string> valuesAxisX { get; set; }
-    public List<string> bubbleSize { get; set; }
-
-
-
-    // COnstrucotr
-    public ChartModel() {
-
-      CategoricalMap = new Dictionary<string, Dictionary<object, double>>();
-
-      valuesAxisY = new List<string>();
-      valuesAxisX = new List<string>();
-      bubbleSize = new List<string>();
-      Series = new Series();
-      this.Series.ChartType = SeriesChartType.Bubble;
-    }
-
-
-
-    private double GetCategoricalValue(string columnName, string value) {
-      if (!this.CategoricalMap.ContainsKey(columnName)) {
-        this.CategoricalMap[columnName] = new Dictionary<object, double>();
-      }
-      if (!this.CategoricalMap[columnName].ContainsKey(value)) {
-        if (this.CategoricalMap[columnName].Values.Count == 0) {
-          this.CategoricalMap[columnName][value] = 1.0;
-        } else {
-          this.CategoricalMap[columnName][value] = this.CategoricalMap[columnName].Values.Max() + 1.0;
-        }
-      }
-      return this.CategoricalMap[columnName][value];
-    }
-
-    private double? GetValue(Run run, String columnName) {
-      if ((run == null) || string.IsNullOrEmpty(columnName)) {
-        return null;
-      }
-      Value value = run.ResultValues.FirstOrDefault(x => x.Name == columnName);
-
-      if (value == null) {
-        return null;
-      }
-
-      DoubleValue doubleValue = value as DoubleValue;
-      IntValue intValue = value as IntValue;
-      BoolValue boolValue = value as BoolValue;
-      FloatValue floatValue = value as FloatValue;
-      BinaryValue binaryValue = value as BinaryValue;
-      LongValue longValue = value as LongValue;
-      StringValue stringValue = value as StringValue;
-
-      double? ret = null;
-      if (doubleValue != null) {
-        if (!double.IsNaN(doubleValue.Value) && !double.IsInfinity(doubleValue.Value)) {
-          ret = doubleValue.Value;
-        }
-      } else if (intValue != null) {
-        ret = intValue.Value;
-      } else if (floatValue != null) {
-        ret = floatValue.Value;
-      } else if (longValue != null) {
-        ret = longValue.Value;
-      } else {
-        ret = GetCategoricalValue(columnName, value.ToString());
-      }
-      return ret;
-    }
-
-    private void AddDataPoint(Run run) {//, int pos) {
-      double? xValue;
-      double? yValue;
-      double? sValue;
-      // Series series = this.BubbleChart.Series[0];
-      // Series series = new Series();
-      xValue = GetValue(run, this.xAxisValue);
-      yValue = GetValue(run, this.yAxisValue);
-      sValue = GetValue(run, this.sizeAxisValue);
-
-      if (xValue.HasValue && yValue.HasValue && sValue.HasValue) {
-        xValue = xValue.Value;
-        yValue = yValue.Value;
-        sValue = sValue.Value;
-        double[] yValues = { (double)yValue, (double)sValue };
-        DataPoint point = new DataPoint(xValue.Value, yValues);
-        point.Tag = run;
-        point.Color = DataPointColor;
-        this.Series.Points.Add(point);
-      }
-    }
-
-    private void UpdateComboBoxValues() {
-      if (Runs == null) {
-        return;
-      }
-      ArrayList comboBoxValues = new ArrayList();
-      Value[] resultValues = null;
-      foreach (Run run in Runs) {
-        resultValues = run.ResultValues;
-        //comboBoxValues.Add(selectString);
-        foreach (Value v in resultValues) {
-          String resultValueName = v.Name.ToString();
-          if (!comboBoxValues.Contains(resultValueName)) {
-            comboBoxValues.Add(resultValueName);
-          }
-        }
-      }
-
-
-      this.valuesAxisY.Clear();
-      this.valuesAxisX.Clear();
-      this.bubbleSize.Clear();
-
-      foreach (String s in comboBoxValues) {
-        if (!valuesAxisY.Contains(s)) {
-          this.valuesAxisY.Add(s);
-          this.valuesAxisX.Add(s);
-          this.bubbleSize.Add(s);
-        }
-      }
-    }
-
-    private void UpdateDataPoints() {
-      Run[] runs = this.Runs;
-      Series series = this.Series;
-      series.Points.Clear();
-      if (runs != null) {
-        foreach (Run run in runs) {
-          this.AddDataPoint(run);
-        }
-        UpdateMarkerSize();
-      }
-    }
-
-    private void UpdateMarkerSize() {
-      double[] sizeValues = Series.Points.Select(p => p.YValues[1]).ToArray();
-      double minSizeValue = sizeValues.Min();
-      double maxSizeValue = sizeValues.Max();
-      //int sizeFaktor = int.Parse(bubbleSizeFactor.SelectedItem.Value);
-
-      for (int i = 0; i < sizeValues.Length; i++) {
-        DataPoint dataPoint = this.Series.Points[i];
-
-        double sizeRange = maxSizeValue - minSizeValue;
-        double relativeSize = dataPoint.YValues[1] - minSizeValue;
-
-        if (sizeRange > double.Epsilon) {
-          relativeSize /= sizeRange;
-        } else {
-          relativeSize = 1;
-        }
-        //int markerSize = (int)Math.Round(bubbleSizeFaktor * relativeSize);
-        //if (markerSize < 1) {
-        //  markerSize = 1;
-        //}
-        double[] yValues = dataPoint.YValues;
-        // double minBubbleSizeFactor = double.Parse(bubbleSizeFactor.Items[0].Value);
-        //int markerSize = (int)Math.Round(
-        //  (sizeFaktor - minBubbleSizeFactor) * relativeSize + minBubbleSizeFactor);
-        //yValues[1] = markerSize;
-        //dataPoint.MarkerSize = markerSize;
-        dataPoint.YValues = yValues;
-      }
-    }
-
-    public void UpdateBubbleChart(string yAxisValue, string xAxisValue, string sizeAxisValue) {
-      this.yAxisValue = yAxisValue;
-      this.xAxisValue = xAxisValue;
-      this.sizeAxisValue = sizeAxisValue;
-
-      UpdateDataPoints();
-    }
-
-    //protected void valuesAxisY_SelectedIndexChanged(object sender, EventArgs e)
-    //{
-    //    if (AllAxisSelected())
-    //    {
-    //        UpdateBubbleChart();
-    //    }
-    //}
-
-    //protected void valuesAxisX_SelectedIndexChanged(object sender, EventArgs e)
-    //{
-    //    if (AllAxisSelected())
-    //    {
-    //        UpdateBubbleChart();
-    //    }
-    //}
-
-    //protected void bubbleSize_SelectedIndexChanged(object sender, EventArgs e)
-    //{
-    //    if (AllAxisSelected())
-    //    {
-    //        UpdateBubbleChart();
-    //    }
-    //}
-
-    //protected void bubbleSizeFactor_SelectedIndexChanged(object sender, EventArgs e)
-    //{
-    //    if (AllAxisSelected())
-    //    {
-    //        UpdateBubbleChart();
-    //    }
-    //}
-
-    //private bool AllAxisSelected()
-    //{
-    //    return (((valuesAxisY.SelectedValue).CompareTo(selectString) != 0) &&
-    //        ((valuesAxisX.SelectedValue).CompareTo(selectString) != 0) &&
-    //        ((bubbleSize.SelectedValue).CompareTo(selectString) != 0));
-    //}
-  }
 }
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/BubbleChart.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/BubbleChart.ascx	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/BubbleChart.ascx	(revision 6318)
@@ -3,18 +3,21 @@
 <%@ Register assembly="System.Web.DataVisualization, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" namespace="System.Web.UI.DataVisualization.Charting" tagprefix="asp" %>
 
-
+<div style="background-color: #eeeeee;border-style:solid;border-color:#aaa;border-width:1px;padding:10px;list-style-type:none;">
 <% using (Html.BeginForm("UpdateBubbleChart","Chart")) %>
 <% { %>
 
-<%: Html.Label("x axis")%>
+<%: Html.Label("X-Axis")%>
 <%: Html.DropDownList("valuesAxisXCombobox", new SelectList(((ChartModel)Model).valuesAxisX))%>
-
-<%: Html.Label("y axis")%>
+<br />
+<%: Html.Label("Y-Axis")%>
 <%: Html.DropDownList("valuesAxisYCombobox", new SelectList(((ChartModel)Model).valuesAxisY))%>
-
-<%: Html.Label("bubble size")%>
+<br />
+<%: Html.Label("Bubble Size")%>
 <%: Html.DropDownList("bubbleSizeCombobox", new SelectList(((ChartModel)Model).bubbleSize))%>
 
-<input type="submit" value="update chart" />
+<input type="submit" class="hl-icon-refresh" value="update chart" />
+</div>
+
+
 
 <% } %>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/Index.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/Index.aspx	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Chart/Index.aspx	(revision 6318)
@@ -1,3 +1,7 @@
 ﻿<%@ Page Title="" Language="C#" MasterPageFile="~/Views/Shared/Site.Master" Inherits="System.Web.Mvc.ViewPage" %>
+
+<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
+   <% Html.RenderAction("Menu","Query"); %>
+</asp:Content>
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
@@ -7,5 +11,5 @@
 <asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="server">
 
-    <h2>Index (Chart)</h2>
+    <h2>Bubble Chart</h2>
 
 
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Filters.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Filters.ascx	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Filters.ascx	(revision 6318)
@@ -3,9 +3,6 @@
 <%@ Import Namespace="HLWebOKBQueryPlugin.OKBQueryService" %>
 <%@ Import Namespace="HLWebOKBQueryPlugin.ViewModels" %>
-
-
 <script src="/Scripts/MicrosoftAjax.js" type="text/javascript"></script>
 <script src="/Scripts/MicrosoftMvcValidation.js" type="text/javascript"></script>
-
 <script type="text/javascript">
     function setAction(action, id) {
@@ -16,151 +13,121 @@
 </script>
 
+<% using (Html.BeginForm("AddFilter", "Filter", FormMethod.Post, new { Name = "filterForm" })) %>
+<% {  %>
+<!-- Put all into a form that calls the "AddFilter" Action-->
+<%
+    CombinedFilter topFilter = ((FilterModel)Model).Content;
+%>
+<%: Html.Hidden("selectedFilter",null, new { Id = "selectedFilter" })%>
+<%: Html.Hidden("action", null, new { Id = "action" })%>
+<div>
+    <%
+        foreach (Filter fNode in topFilter.Filters) {
 
-<% Html.EnableClientValidation(); %>
- <% using (Html.BeginForm("AddFilter", "Filter", FormMethod.Post, new { Name = "filterForm" })) %>
-    <% {  %>  
-<!-- Put all into a form that calls the "AddFilter" Action-->
-
-    <%
-     CombinedFilter topFilter = ((FilterModel)Model).Content;
+            CombinedFilter currentFilter = (CombinedFilter)fNode;
+            string comboboxName = FilterModel.ComboboxName + "." + currentFilter.Id;
+            string hiddenName = FilterModel.ParentIdName + "." + currentFilter.Id;
     %>
-    <div><table>
-<tr><td>A<br />N<br />D</td><td>
-
-  <%: Html.Hidden("selectedFilter",null, new { Id = "selectedFilter" })%>
-       <%: Html.Hidden("action", null, new { Id = "action" })%>
-   
-           <%
-     foreach (Filter fNode in topFilter.Filters)
-     {
-
-         CombinedFilter currentFilter = (CombinedFilter)fNode;
-         string comboboxName = FilterModel.ComboboxName + "." + currentFilter.Id;
-         string hiddenName = FilterModel.ParentIdName + "." + currentFilter.Id;
-    %>
-    <table border="0"><tr><td>
-    <%: Html.Hidden(hiddenName, currentFilter.Id.ToString())%>
-    
-    <%: Html.DropDownList(comboboxName, new SelectList(((FilterModel)Model).AvailableFilterForCombobox, "FilterTypeName", "Label"))%>
-   
-   
-    <input type="button" name="submitButton" value="+" class="hl-button-text-plus"   onClick="setAction('add','<%: currentFilter.Id%>');" />
-   <!-- <input type="submit" name="submitButton" value="+.<%:currentFilter.Id%>"  />-->
-</td></tr><tr><td>
-<!-- Build the selected filters. The filtesr will be stored in the session and the
+    <ul style="background-color: #eeeeee;border-style:solid;border-color:#aaa;border-width:1px;padding:10px;list-style-type:none;">
+        <li>
+            <%: Html.Hidden(hiddenName, currentFilter.Id.ToString())%>
+            <%: Html.DropDownList(comboboxName, new SelectList(((FilterModel)Model).AvailableFilterForCombobox, "FilterTypeName", "Label"))%>
+            <input type="button" name="submitButton" value="+" class="hl-button-text-plus" onclick="setAction('add','<%: currentFilter.Id%>');" />
+            <!-- <input type="submit" name="submitButton" value="+.<%:currentFilter.Id%>"  />-->
+        </li>
+        <!-- Build the selected filters. The filtesr will be stored in the session and the
 Controller puts the current filters from the session into the model. Selected Filters
 will be iterated. -->
-<% if (currentFilter.Filters != null)
-   {
+        <% if (currentFilter.Filters != null) {
 
-       foreach (Filter f in currentFilter.Filters)
-       {
-           if (f != null)
-           {  %>
-
-           <tr><td>
-    <%
+               foreach (Filter f in currentFilter.Filters) {
+                   if (f != null) {  %>
+        <li style="background-color:#FFF380;padding:5px;margin:5px;">
+            <%
            
 
-     if ("StringComparisonFilter".Equals(f.GetType().Name))
-     {  %>
-    <% StringComparisonFilter filter = ((StringComparisonFilter)f); %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>   
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, (filter.Value))%>
-    <%: Html.TextBoxFor(model => ((FilterModel)Model).IntValue, (filter.Value))%>
-    <%: Html.ValidationMessageFor(model => ((FilterModel)Model).IntValue)%>
-    <% }
-     else if ("NameStringComparisonFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameStringComparisonFilter filter = ((NameStringComparisonFilter)f); %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>   
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }
-     else if ("StringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
-     { %>
-    <% StringComparisonAvailableValuesFilter filter = ((StringComparisonAvailableValuesFilter)f); %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>   
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueTextbox, new SelectList(filter.AvailableValues, filter.Value))%>
-    <% }
-     else if ("NameEqualityComparisonByteArrayFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameEqualityComparisonByteArrayFilter filter = ((NameEqualityComparisonByteArrayFilter)f); %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.Label("not supported")%>
-    <% }
-     else if ("NameEqualityComparisonBoolFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameEqualityComparisonBoolFilter filter = ((NameEqualityComparisonBoolFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.BoolComparisons, "Value", "Text", (int)filter.Comparison))%>      
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(((FilterModel)Model).BoolStates, filter.Value))%>
-    <% }
-     else if ("NameOrdinalComparisonIntFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameOrdinalComparisonIntFilter filter = ((NameOrdinalComparisonIntFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }
-     else if ("NameStringComparisonAvailableValuesFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameStringComparisonAvailableValuesFilter filter = ((NameStringComparisonAvailableValuesFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>   
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(filter.AvailableValues, filter.Value))%>
-    <% }
-     else if ("NameOrdinalComparisonDoubleFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameOrdinalComparisonDoubleFilter filter = ((NameOrdinalComparisonDoubleFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }
-     else if ("NameOrdinalComparisonFloatFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameOrdinalComparisonFloatFilter filter = ((NameOrdinalComparisonFloatFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }
-     else if ("NameOrdinalComparisonLongFilter".Equals(f.GetType().Name))
-     { %>
-    <% NameOrdinalComparisonLongFilter filter = ((NameOrdinalComparisonLongFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }
-     else if ("OrdinalComparisonDateTimeFilter".Equals(f.GetType().Name))
-     { %>
-    <% OrdinalComparisonDateTimeFilter filter = ((OrdinalComparisonDateTimeFilter)f);   %>
-    <%: Html.Label(filter.Label)%>
-    <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
-    <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
-    <% }                 
+                if ("StringComparisonFilter".Equals(f.GetType().Name)) { 
+            %>
+            <% StringComparisonFilter filter = ((StringComparisonFilter)f); %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, (filter.Value))%>
+            <% }
+                                else if ("NameStringComparisonFilter".Equals(f.GetType().Name)) { %>
+            <% NameStringComparisonFilter filter = ((NameStringComparisonFilter)f); %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }
+                                else if ("StringComparisonAvailableValuesFilter".Equals(f.GetType().Name)) { %>
+            <% StringComparisonAvailableValuesFilter filter = ((StringComparisonAvailableValuesFilter)f); %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ValueTextbox, new SelectList(filter.AvailableValues, filter.Value))%>
+            <% }
+                                else if ("NameEqualityComparisonByteArrayFilter".Equals(f.GetType().Name)) { %>
+            <% NameEqualityComparisonByteArrayFilter filter = ((NameEqualityComparisonByteArrayFilter)f); %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.Label("not supported")%>
+            <% }
+                                else if ("NameEqualityComparisonBoolFilter".Equals(f.GetType().Name)) { %>
+            <% NameEqualityComparisonBoolFilter filter = ((NameEqualityComparisonBoolFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.BoolComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(((FilterModel)Model).BoolStates, filter.Value))%>
+            <% }
+                                else if ("NameOrdinalComparisonIntFilter".Equals(f.GetType().Name)) { %>
+            <% NameOrdinalComparisonIntFilter filter = ((NameOrdinalComparisonIntFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }
+                                else if ("NameStringComparisonAvailableValuesFilter".Equals(f.GetType().Name)) { %>
+            <% NameStringComparisonAvailableValuesFilter filter = ((NameStringComparisonAvailableValuesFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.StringComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ValueDropDownList, new SelectList(filter.AvailableValues, filter.Value))%>
+            <% }
+                                else if ("NameOrdinalComparisonDoubleFilter".Equals(f.GetType().Name)) { %>
+            <% NameOrdinalComparisonDoubleFilter filter = ((NameOrdinalComparisonDoubleFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }
+                                else if ("NameOrdinalComparisonFloatFilter".Equals(f.GetType().Name)) { %>
+            <% NameOrdinalComparisonFloatFilter filter = ((NameOrdinalComparisonFloatFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }
+                                else if ("NameOrdinalComparisonLongFilter".Equals(f.GetType().Name)) { %>
+            <% NameOrdinalComparisonLongFilter filter = ((NameOrdinalComparisonLongFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }
+                                else if ("OrdinalComparisonDateTimeFilter".Equals(f.GetType().Name)) { %>
+            <% OrdinalComparisonDateTimeFilter filter = ((OrdinalComparisonDateTimeFilter)f);   %>
+            <%: Html.Label(filter.Label)%>
+            <%: Html.DropDownList(f.Id + "." + FilterModel.ComparisonDropDownList, new SelectList(FilterModel.OrdinalComparisons, "Value", "Text", (int)filter.Comparison))%>
+            <%: Html.TextBox(f.Id + "." + FilterModel.ValueTextbox, filter.Value)%>
+            <% }                 
                   
+            %>
+            <!-- <input type="submit" name="submitButton" value="-.<%:f.Id%>"  class="hl-icon-delete"  style="text-indent:-999em;"  />
+       -->
+            <input type="button" name="submitButton" value="-" class="hl-icon-delete" onclick="setAction('delete','<%: f.Id%>');" />
+            <% } // if%>
+        </li>
+        <% } // inner foreach %>
+    </ul>
+     <% } // if%>
+    <% 
+           }// foreach
     %>
-       <!-- <input type="submit" name="submitButton" value="-.<%:f.Id%>"  class="hl-icon-delete"  style="text-indent:-999em;"  />
-       -->
-    <input type="button" name="submitButton" value="-"  class="hl-icon-delete"  onClick="setAction('delete','<%: f.Id%>');" />
-   
-<% }%>
-    </td></tr>
-    <% } %>
-     </table></td></tr>
- <%  }%>
-   <% }%>
-
-
-
- 
-  </table> <input type="button" name="submitButton"  value="or"  onClick="setAction('or','');"  />
- </br>
- <input type="button" name="submitButton" value="runs"  onClick="setAction('runs','');" />
- 
- 
-<% }    
-%>
- </div>
+    <a    class="hl-button-text-plus" onclick="setAction('or','');" >OR Filter</a>
+    <a   class="hl-icon-refresh"  onclick="setAction('runs','');" >Refresh</a>
+    <%
+        }   // form 
+    %>
+</div>
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Results.aspx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Results.aspx	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Filter/Results.aspx	(revision 6318)
@@ -4,4 +4,8 @@
 <%@ Import Namespace="HLWebOKBQueryPlugin.OKBQueryService" %>
 <%@ Import Namespace="HLWebOKBQueryPlugin.Helpers" %>
+
+<asp:Content ID="Content3" runat="server" ContentPlaceHolderID="SubMenuContent">
+   <% Html.RenderAction("Menu","Query"); %>
+</asp:Content>
 
 <asp:Content ID="Content1" ContentPlaceHolderID="TitleContent" runat="server">
Index: branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx
===================================================================
--- branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx	(revision 6317)
+++ branches/WebApplication/MVC2/HLWebOKBQueryPlugin/Views/Query/Menu.ascx	(revision 6318)
@@ -6,5 +6,5 @@
 </li>
 <li <% if(Session["SelectedSubMenu"] == "Results") {%> class="selected" <%}%>>
-    <%: Html.ActionLink("Results", "Results", "Query") %>
+    <%: Html.ActionLink("Tabular View", "Results", "Query") %>
 </li>
 <% if (Session["QueryRunDetailId"] != null) { %>
